% -------------------------------------------------------------------------
% License GPL v3.0
% Author: Borja Ayerdi <borja.ayerdi@ehu.es>
% Computational Intelligence Group <www.ehu.es/ccwintco>
% University Of The Basque Country (UPV/EHU) 
% Use this at your own risk!
% -------------------------------------------------------------------------

tic
load fisheriris
species= zeros(150,1);
species(1:50)=1;
species(51:100)=2;
species(101:end)=3;

% Data matrix with all features, each row is a sample and each column a
% feature.
X=meas;

% Labels matrix, each row is a sample label.
Y=species;

% Data for training [0,1], in this case 80% for training
porcentajeTrain=0.8;

[trainIndex testIndex] = traintestbalance(Y,porcentajeTrain);
TrainingData = X(trainIndex,:);
TestingData = X(testIndex,:);
TrainingDataLabel = Y(trainIndex);
TestingDataLabel = Y(testIndex);

% TRAIN ELM
[elm] = trainELM(TrainingData,TrainingDataLabel)

% TEST ELM
[output] = testELM(TestingData, elm)

toc;

% Confusion matrix
[C,order] = confusionmat(output,TestingDataLabel);

% Accuracy.
Accuracy = sum(diag(C))/sum(C(:))

C
